package com.yizhi.wechat.application.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Date 2020/11/26 10:56 上午
 * @Author lvjianhui
 **/
@FeignClient(name = "wechat", contextId = "WeChatTokenClient",path = "/wechat")
public interface WeChatTokenClient {

    @GetMapping("/appid/accesstoken/get")
    public String getWechatAccessTokenByAppId(@RequestParam("appId") String appId,
                                              @RequestParam(value = "agentId",required = false) String agentId);
}
