package com.yizhi.wechat.application.vo.wechat;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 签名返回参数
 * @author lilingye
 */
@Data
@Api(tags = "SignatrueVO", description = "签名返回参数")
public class SignatureVO {
    // 签名
    @ApiModelProperty(value = "SHA1的签名")
    private String signnatrue;

    // 时间戳
    @ApiModelProperty(value = "时间戳")
    private String timestamp;

    // 随机数
    @ApiModelProperty(value = "随机数")
    private String noncestr;
}
