package com.yizhi.application.controller;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.yizhi.application.domain.PublicPlatformConfig;
import com.yizhi.application.service.IAccessTokenService;
import com.yizhi.application.service.IPublicPlatformConfigService;
import com.yizhi.wechat.application.vo.wechat.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName AccessTokenController
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020/11/25 22:42
 * @Version 1.0
 */
@RestController
@RequestMapping("/weixin/accessToken")
public class AccessTokenController {

    @Autowired
    private IAccessTokenService accessTokenService;
    @Autowired
    private IPublicPlatformConfigService publicPlatformConfigService;

    @GetMapping("get")
    public String getAccessToken(@RequestParam("appId") String appId) {
        PublicPlatformConfig publicPlatformConfig = new PublicPlatformConfig();
        publicPlatformConfig.setIsDeleted(Constants.NO_FLAG);
        publicPlatformConfig.setAppId(appId);

        EntityWrapper<PublicPlatformConfig> ew = new EntityWrapper<>(publicPlatformConfig);
        publicPlatformConfig = publicPlatformConfigService.selectOne(ew);
        if (publicPlatformConfig == null) {
            return null;
        }

        return accessTokenService.getAccessToken(publicPlatformConfig);
    }
}
