package com.yizhi.wechat.application.vo.wechat;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@Data
@XmlRootElement(name="xml")
@XmlAccessorType(XmlAccessType.FIELD)
public class InstructVO {
    /**
     * 接收的应用id，可在应用的设置页面获取
     */
    @XmlElement(name = "SuiteId")
    private String suiteId;
    /**
     * 经过加密的密文
     */
    @XmlElement(name = "InfoType")
    private String infoType;
    /**
     * 发送方帐号
     */
    @XmlElement(name = "TimeStamp")
    private String timestamp;

    @XmlElement(name = "SuiteTicket")
    private String suitetTcket;
}