package com.yizhi.wechat.application.vo.wechat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author lilingye
 * @since 2018-04-29
 */
@Data
public class WUserInfoVO  {

    @ApiModelProperty(value = "表唯一标识id")
    private Long id;

    @ApiModelProperty(value = "用户的唯一标识")
    private String wechatuserid;

    @ApiModelProperty(value = "用户昵称")
    private String nickname;

    @ApiModelProperty(value = "性别。0表示未定义，1表示男性，2表示女性")
    private Integer sex;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "用户头像")
    private String headimgurl;

    @ApiModelProperty(value = "用户特权信息，json 数组，如微信沃卡用户为（chinaunicom）")
    private String privilege;

    @ApiModelProperty(value = "只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段。")
    private String unionId;

    @ApiModelProperty(value = "企业成员手机号，仅在用户同意snsapi_privateinfo授权时返回")
    private String mobile;

    @ApiModelProperty(value = "企业成员邮箱")
    private String email;

    @ApiModelProperty(value = "企业 员工个人二维码，扫描可添加为外部联系人")
    private String qrCode;

    @ApiModelProperty(value = "0 普通微信用户 1企业微信用户")
    private Integer userType;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "电话号码")
    private String telephone;
    @ApiModelProperty("英文名称")
    private String englishName;

    @ApiModelProperty(value = "职位")
    private String position;

    @ApiModelProperty(value = "部门id")
    private String departmentId;

    @ApiModelProperty(value = "0有效，1删除")
    private Integer isDeleted;

    @ApiModelProperty(value = "主部门")
    private String mainDepartmentId;

}
